package com.progetto.VEBS.model.dto;

import java.sql.Date;

import org.locationtech.jts.geom.Geometry;

import com.progetto.VEBS.model.entity.AreaBlu;
import com.progetto.VEBS.model.entity.AreaVerde;
import com.progetto.VEBS.model.entity.IncidenzaArborea;

public class PoligonoPopolazioneDTO {
	
	private Integer id_poligono;
    private Date data_valutazione;
    private Integer densità_per_fascia;
    private Geometry geometria;
    private Double centroide_x;
    private Double centroide_y;
    private Integer n_popolazione;
    private IncidenzaArborea incidenza_arborea;
    private AreaVerde area_verde;
    private AreaBlu area_blu;


    public void PoligonoPopolazioneDTO() {}
    
    public void PoligonoPopolazioneDTO(Integer id_poligono, Date data_valutazione, Integer densità_per_fascia,  Geometry geometria, Double centroide_x, Double centroide_y, Integer n_popolazione, IncidenzaArborea incidenza_arborea, AreaVerde area_verde, AreaBlu area_blu) {
    	this.id_poligono = id_poligono;
    	this.data_valutazione = data_valutazione;
    	this.densità_per_fascia = densità_per_fascia;
    	this.geometria = geometria;
    	this.centroide_x = centroide_x;
    	this.centroide_y = centroide_y;
    	this.n_popolazione = n_popolazione;
    	this.incidenza_arborea = incidenza_arborea;
    	this.area_verde = area_verde;
    	this.area_blu = area_blu;
    }

    // Getter e Setter
    public Integer getId() {
        return id_poligono;
    }

    public void setId(Integer id_poligono) {
        this.id_poligono = id_poligono;
    }

    public Date getDataValutazione() {
        return data_valutazione;
    }

    public void setDataValutazione(Date data_valutazione) {
        this.data_valutazione = data_valutazione;
    }

    public Integer getDensitaPerFascia() {
        return densità_per_fascia;
    }

    public void setDensitaPerFascia(Integer densità_per_fascia) {
        this.densità_per_fascia = densità_per_fascia;
    }

    public Integer getNPopolazione() {
        return n_popolazione;
    }

    public void setNPopolazione(Integer n_popolazione) {
        this.n_popolazione = n_popolazione;
    }

    public Geometry getGeometry() {
        return geometria;
    }

    public void setGeometry(Geometry geometria) {
        this.geometria = geometria;
    }

    public Double getCentroideX() {
        return centroide_x;
    }

    public void setCentroideX(Double centroide_x) {
        this.centroide_x = centroide_x;
    }

    public Double getCentroideY() {
        return centroide_y;
    }

    public void setCentroideY(Double centroide_y) {
        this.centroide_y = centroide_y;
    }

    public AreaVerde getAreaVerde() {
        return area_verde;
    }

    public void setAreaVerde(AreaVerde area_verde) {
        this.area_verde = area_verde;
    }

    public AreaBlu getAreaBlu() {
        return area_blu;
    }

    public void setAreaBlu(AreaBlu area_blu) {
        this.area_blu = area_blu;
    }

    public IncidenzaArborea getIncidenza() {
        return incidenza_arborea;
    }

    public void setIncidenza(IncidenzaArborea incidenza_arborea) {
        this.incidenza_arborea = incidenza_arborea;
    }
}
